## python-jsonschema 4.6.0

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile docs/requirements.in
#
alabaster==0.7.12
    # via sphinx
attrs==21.4.0
    # via jsonschema
babel==2.10.1
    # via sphinx
beautifulsoup4==4.11.1
    # via furo
certifi==2022.5.18.1
    # via requests
charset-normalizer==2.0.12
    # via requests
docutils==0.17.1
    # via sphinx
furo==2022.4.7
    # via -r docs/requirements.in
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
jinja2==3.1.2
    # via sphinx
file:.#egg=jsonschema
    # via -r docs/requirements.in
lxml==4.8.0
    # via -r docs/requirements.in
markupsafe==2.1.1
    # via jinja2
packaging==21.3
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.12.0
    # via
    #   furo
    #   sphinx
pyparsing==3.0.9
    # via packaging
pyrsistent==0.18.1
    # via jsonschema
pytz==2022.1
    # via babel
requests==2.27.1
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.3.2.post1
    # via beautifulsoup4
sphinx==4.5.0
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinxcontrib-spelling
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sphinxcontrib-spelling==7.4.1
    # via -r docs/requirements.in
urllib3==1.26.9
    # via requests

=== debian/changelog ===
python-jsonschema (4.6.0-3ubuntu1) kinetic; urgency=medium

  * d/control: Move optional Recommends to Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Aug 2022 17:06:42 -0400

python-jsonschema (4.6.0-3) unstable; urgency=medium

  * Added python3-pip as depends of debian/tests/control.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2022 22:07:06 +0200

python-jsonschema (4.6.0-2) experimental; urgency=medium

  * Add python3-pip to build-depends to address an otherwise failing
    "python3 -m pip show jsonschema" test.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2022 10:12:52 +0200

python-jsonschema (4.6.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1005757).
  * Switch to pybuild and poetry, as upstream switch to shipping a
    pyproject.toml instead of setup.cfg.
  * Added optional dependencies as Recommends:.
  * Refreshed remove-sphinxcontrib.spelling-from-doc-conf.py.patch.
  * Rebased fix-lintian-privacy-breach.patch.
  * Add python3-hatch-vcs and python3-hatchling as build-depends.
  * Fix PYTHONPATH when building sphinx doc.
  * Add do-not-use-furo-theme.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2022 10:51:08 +0200

python-jsonschema (3.2.0-5) unstable; urgency=medium

  * Fixed description (Closes: #970616).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Dec 2021 10:22:42 +0100

python-jsonschema (3.2.0-4) unstable; urgency=medium

  * Do not (build-)depends on python3-importlib-metadata (Closes: #966643).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 19:16:23 +0100

=== debian/control ===
Source: python-jsonschema
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 autopkgtest,
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Build-Depends-Indep:
 python3-attr,
 python3-hatch-vcs,
 python3-hatchling,
 python3-idna,
 python3-json-pointer,
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-pip,
 python3-pkg-resources,
 python3-pyrsistent,
 python3-pytest,
 python3-rfc3987,
 python3-six,
 python3-twisted,
 python3-uritemplate,
 python3-webcolors,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jsonschema.git
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jsonschema
Homepage: https://github.com/Julian/jsonschema

Package: python-jsonschema-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: An(other) implementation of JSON Schema (Draft 3, 4, 6, 7) - doc
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.
 .
 This package provides the documentation.

Package: python3-jsonschema
Architecture: all
Depends:
 python3-attr,
 python3-pkg-resources,
 python3-setuptools,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jsonschema-doc,
 python3-idna,
 python3-json-pointer,
 python3-rfc3987,
 python3-uritemplate,
 python3-webcolors,
Breaks:
 python3-json-pointer (<< 1.14),
Description: An(other) implementation of JSON Schema (Draft 3, 4, 6, 7)
 JSON Schema is a specification for a JSON-based format for defining
 the structure of JSON data. JSON Schema provides a contract for what
 JSON data is required for a given application and how it can be
 modified, much like what XML Schema provides for XML. JSON Schema is
 intended to provide validation, documentation, and interaction control
 of JSON data.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/Julian/jsonschema.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=jsonschema

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# We need .egg_info for tests
	dh_auto_install
	dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)_jsonschema/build PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html docs $(CURDIR)/debian/python-jsonschema-doc/usr/share/doc/python-jsonschema-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: upstream-py3
Depends:
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-pyrsistent,
 python3-pytest,
 python3-twisted,
 python3-pip,
 @,

## python-jsonschema 4.9.1

=== debian/changelog ===
python-jsonschema (4.9.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Install in debian/tmp before running tests.
  * Set SETUPTOOLS_SCM_PRETEND_VERSION before build.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 17:56:50 +0100

python-jsonschema (4.9.1-1) experimental; urgency=medium

  * New upstream release (Closes: #1017629).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 21:52:24 +0200

python-jsonschema (4.7.2-3) unstable; urgency=medium

  * Removed unused dependencies (Closes: #1019584):
    - python3-six
    - python3-setuptools
    - python3-pkg-resources
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2022 09:57:40 +0200

python-jsonschema (4.7.2-2) experimental; urgency=medium

  * Blacklist tests failing if backported to bullseye.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 10:15:23 +0200

python-jsonschema (4.7.2-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Add python3-sphinx-autodoc-typehints as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 15:43:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,19 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export PYBUILD_NAME=jsonschema
+export PYBUILD_TEST_ARGS=-k 'not test_ipv4_validation_of_IP_addresses_leading_zeroes_should_be_rejected_as_they_are_treated_as_octals'
+
+export PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 	# We need .egg_info for tests
-	dh_auto_install
+	set -e ; set -x ; for i in `py3versions -rv` ; do \
+		python3.11 -m build --skip-dependency-check --no-isolation --wheel --outdir $(CURDIR)/debian/tmp ; \
+	done
 	dh_auto_test
 
 override_dh_sphinxdoc:

## python-jsonschema 4.10.3

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile docs/requirements.in
#
alabaster==0.7.12
    # via sphinx
attrs==22.1.0
    # via jsonschema
babel==2.10.3
    # via sphinx
beautifulsoup4==4.11.1
    # via furo
certifi==2022.6.15
    # via requests
charset-normalizer==2.1.0
    # via requests
docutils==0.19
    # via sphinx
furo==2022.6.21
    # via -r docs/requirements.in
idna==3.3
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
file:.#egg=jsonschema
    # via -r docs/requirements.in
lxml==4.9.1
    # via
    #   -r docs/requirements.in
    #   sphinx-json-schema-spec
markupsafe==2.1.1
    # via jinja2
packaging==21.3
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.13.0
    # via
    #   furo
    #   sphinx
pyparsing==3.0.9
    # via packaging
pyrsistent==0.18.1
    # via jsonschema
pytz==2022.2.1
    # via babel
requests==2.28.1
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.3.2.post1
    # via beautifulsoup4
sphinx==5.1.1
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-autodoc-typehints
    #   sphinx-basic-ng
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
sphinx-autodoc-typehints==1.19.2
    # via -r docs/requirements.in
sphinx-basic-ng==0.0.1a12
    # via furo
sphinx-json-schema-spec==2.2.2
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sphinxcontrib-spelling==7.6.0
    # via -r docs/requirements.in
urllib3==1.26.11
    # via requests

=== debian/changelog ===
python-jsonschema (4.10.3-2ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Feb 2024 12:13:59 +0000

python-jsonschema (4.10.3-2ubuntu1) mantic; urgency=medium

  * d/control: Move python3-rfc3987, python3-uritemplate, python3-webcolors,
    to Suggests as these are optional dependencies and not in Ubuntu main.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Aug 2023 17:45:04 -0400

python-jsonschema (4.10.3-2) unstable; urgency=medium

  * Do not b-d on nose (Closes: #1018519).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 11:09:17 +0200

python-jsonschema (4.10.3-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Jan 2023 11:53:50 +0100

python-jsonschema (4.10.3-1~exp1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 4.10.3
  * d/patches: Update patches
  * d/p/fix-broken-test_suite_bug.patch: New patch to fix broken test method
  * d/patches: Remove sphinx_json_schema_spec from docs/conf.py

 -- Samuel Henrique <samueloph@debian.org>  Fri, 23 Dec 2022 21:30:53 +0000

python-jsonschema (4.9.1-3) unstable; urgency=medium

  * Fix interpreter version when building before tests.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Dec 2022 15:06:02 +0100

=== debian/tests/control ===
Tests: upstream-py3
Depends:
 python3-lxml,
 python3-mock,
 python3-nose,
 python3-pip,
 python3-pyrsistent,
 python3-pytest,
 python3-twisted,
 @,

## python-jsonschema 4.19.2

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile docs/requirements.in
#
alabaster==0.7.13
    # via sphinx
anyascii==0.3.2
    # via sphinx-autoapi
astroid==3.0.1
    # via sphinx-autoapi
attrs==23.1.0
    # via
    #   jsonschema
    #   referencing
babel==2.13.1
    # via sphinx
beautifulsoup4==4.12.2
    # via furo
certifi==2023.7.22
    # via requests
charset-normalizer==3.3.1
    # via requests
docutils==0.20.1
    # via sphinx
furo==2023.9.10
    # via -r docs/requirements.in
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   sphinx
    #   sphinx-autoapi
file:.#egg=jsonschema
    # via -r docs/requirements.in
jsonschema-specifications==2023.7.1
    # via jsonschema
lxml==4.9.3
    # via
    #   -r docs/requirements.in
    #   sphinx-json-schema-spec
markupsafe==2.1.3
    # via jinja2
packaging==23.2
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.16.1
    # via
    #   furo
    #   sphinx
pyyaml==6.0.1
    # via sphinx-autoapi
referencing==0.30.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.31.0
    # via sphinx
rpds-py==0.10.6
    # via
    #   jsonschema
    #   referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.2.6
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-autoapi
    #   sphinx-autodoc-typehints
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-autoapi==3.0.0
    # via -r docs/requirements.in
sphinx-autodoc-typehints==1.24.0
    # via -r docs/requirements.in
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2023.8.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.0
    # via -r docs/requirements.in
urllib3==2.0.7
    # via requests

=== debian/changelog ===
python-jsonschema (4.19.2-6) unstable; urgency=medium

  * Now also recommends: python3-fqdn, python3-isoduration,
    python3-rfc3339-validator, python3-rfc3986-validator (Closes: #1077934).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jan 2025 12:47:31 +0100

python-jsonschema (4.19.2-5) unstable; urgency=medium

  * Removed build-depends on python3-pkg-resource (Closes: #1083653).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Oct 2024 22:35:51 +0200

python-jsonschema (4.19.2-4) unstable; urgency=medium

  * Removed python3-six from build-depends (Closes: #1079973).
  * Removed python3-nose and python3-mock from build-depends
    (Closes: #1081565).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 12:57:03 +0200

python-jsonschema (4.19.2-3) unstable; urgency=medium

  * Fix short and long description (Closes: #1053505).

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2024 13:53:51 +0200

python-jsonschema (4.19.2-2) unstable; urgency=medium

  * Removed extraneous obsolete python3-mock dependency (Closes: #1064129).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2024 14:21:42 +0100

python-jsonschema (4.19.2-1) experimental; urgency=medium

  * New upstream release (Closes: #1055516).
  * Rebase patches.
  * Add python3-hatch-fancy-pypi-readme as build-depends indep.
  * Add python3-referencing and python3-rpds-py as (build-)depends.
  * Add python3-jsonschema-specifications as (build-)depends.
  * Add python3-sphinx-copybutton as build-depends.
  * Add python3-sphinxext-opengraph as build-depends.
  * Add sphinx-does-not-call-_resolve_broken_refs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Nov 2023 14:36:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-jsonschema
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -19,19 +18,22 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-attr,
+ python3-hatch-fancy-pypi-readme,
  python3-hatch-vcs,
  python3-hatchling,
  python3-idna,
  python3-json-pointer,
+ python3-jsonschema-specifications,
  python3-lxml,
- python3-mock,
- python3-nose,
  python3-pip,
- python3-pkg-resources,
  python3-pyrsistent,
  python3-pytest,
+ python3-referencing,
  python3-rfc3987,
- python3-six,
+ python3-rpds-py,
+ python3-sphinx-autodoc-typehints,
+ python3-sphinx-copybutton,
+ python3-sphinxext-opengraph,
  python3-twisted,
  python3-uritemplate,
  python3-webcolors,
@@ -60,24 +62,29 @@
 Architecture: all
 Depends:
  python3-attr,
- python3-pkg-resources,
- python3-setuptools,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-fqdn,
+ python3-idna,
+ python3-isoduration,
+ python3-json-pointer,
+ python3-jsonschema-specifications,
+ python3-referencing,
+ python3-rfc3339-validator,
+ python3-rfc3986-validator,
+ python3-rfc3987,
+ python3-rpds-py,
+ python3-uritemplate,
+ python3-webcolors,
 Suggests:
  python-jsonschema-doc,
- python3-idna,
- python3-json-pointer,
- python3-rfc3987,
- python3-uritemplate,
- python3-webcolors,
-Breaks:
- python3-json-pointer (<< 1.14),
-Description: An(other) implementation of JSON Schema (Draft 3, 4, 6, 7)
- JSON Schema is a specification for a JSON-based format for defining
- the structure of JSON data. JSON Schema provides a contract for what
- JSON data is required for a given application and how it can be
- modified, much like what XML Schema provides for XML. JSON Schema is
- intended to provide validation, documentation, and interaction control
- of JSON data.
+Description: An(other) implementation of JSON Schema
+ JSON Schema is a specification for a JSON-based format for defining the
+ structure of JSON data. JSON Schema provides a contract for what JSON data is
+ required for a given application and how it can be modified, much like what
+ XML Schema provides for XML. JSON Schema is intended to provide validation,
+ documentation, and interaction control of JSON data.
+ .
+ This package has full support for Draft 2020-12, Draft 2019-09, Draft 7,
+ Draft 6, Draft 4 and Draft 3.

=== debian/tests/control ===
Tests: upstream-py3
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-jsonschema 4.25.1

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/jsonschema/docs/requirements.txt docs/requirements.in
alabaster==1.0.0
    # via sphinx
astroid==3.3.10
    # via sphinx-autoapi
attrs==25.3.0
    # via
    #   jsonschema
    #   referencing
babel==2.17.0
    # via sphinx
beautifulsoup4==4.13.4
    # via furo
certifi==2025.6.15
    # via requests
charset-normalizer==3.4.2
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.8.6
    # via -r docs/requirements.in
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via
    #   sphinx
    #   sphinx-autoapi
jsonschema @ file:.
    # via -r docs/requirements.in
jsonschema-specifications==2025.4.1
    # via jsonschema
lxml==6.0.0
    # via
    #   -r docs/requirements.in
    #   sphinx-json-schema-spec
markupsafe==3.0.2
    # via jinja2
packaging==25.0
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.19.2
    # via
    #   furo
    #   sphinx
pyyaml==6.0.2
    # via sphinx-autoapi
referencing==0.36.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.4
    # via
    #   sphinx
    #   sphinxcontrib-spelling
roman-numerals-py==3.1.0
    # via sphinx
rpds-py==0.25.1
    # via
    #   jsonschema
    #   referencing
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.7
    # via beautifulsoup4
sphinx==8.2.3
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-autoapi
    #   sphinx-autodoc-typehints
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-autoapi==3.6.0
    # via -r docs/requirements.in
sphinx-autodoc-typehints==3.2.0
    # via -r docs/requirements.in
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2025.1.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sphinxcontrib-spelling==8.0.1
    # via -r docs/requirements.in
sphinxext-opengraph==0.10.0
    # via -r docs/requirements.in
typing-extensions==4.14.0
    # via beautifulsoup4
urllib3==2.5.0
    # via requests

=== debian/changelog ===
python-jsonschema (4.25.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 12:29:26 +0200

python-jsonschema (4.25.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-jsonpath-ng as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 13:02:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- autopkgtest,
  debhelper-compat (= 13),
  dh-python,
+ autopkgtest,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
@@ -23,6 +23,7 @@
  python3-hatchling,
  python3-idna,
  python3-json-pointer,
+ python3-jsonpath-ng,
  python3-jsonschema-specifications,
  python3-lxml,
  python3-pip,

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 override_dh_auto_test:
 	# We need .egg_info for tests
-	set -e ; set -x ; for i in `py3versions -rv` ; do \
-		python3.11 -m build --skip-dependency-check --no-isolation --wheel --outdir $(CURDIR)/debian/tmp ; \
+	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
+		python$$pyvers -m build --skip-dependency-check --no-isolation --wheel --outdir $(CURDIR)/debian/tmp ; \
 	done
 	dh_auto_test

=== debian/tests/control ===
Tests:
 upstream-py3,
Depends:
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=3
https://github.com/Julian/jsonschema/tags .*v(\d[\d\.]+)\.tar\.gz

## python-jsonschema 4.26.0

=== debian/changelog ===
python-jsonschema (4.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 09:30:38 +0100
